# List end users

Lists all end users in an organization. It is possible to filter by one of the mutually exclusive parameters: email or phone number. In case both are provided, an error is returned. Note: Custom attributes are not part of the response at this point. If you need to get custom attributes for a user use the GET /endusers/{userId} endpoint

Endpoint: GET /v1/endusers
Version: v1
Security: ApiKeyAuth

## Query parameters:

  - `pageLimit` (integer)
    Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

  - `pageKey` (string)
    Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

  - `email` (string)
    Filter by the contact's email

  - `phone` (string)
    Filter by the contact's phone number

  - `externalId` (string)
    Filter by the contact's external id

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string, required)
    Unique identifier for the contact

  - `data.createdAt` (string, required)
    Time when the contact was created

  - `data.displayName` (string)
    The contact's display name

  - `data.email` (string)
    The contact's primary email address

  - `data.phoneNumber` (string)
    The contact's primary phone number

  - `data.additionalEmails` (array)
    Additional email addresses for the contact

  - `data.additionalPhoneNumbers` (array)
    Additional phone numbers for the contact

  - `data.firstName` (string)
    The contact's first name

  - `data.lastName` (string)
    The contact's last name

  - `data.middleNames` (array)
    The contact's middle names

  - `data.avatarUrl` (string)
    The url from which to load the contact's avatar

  - `data.externalId` (string)
    Custom external identifier for the contact

  - `data.customAttributes` (array)
    Custom attributes for the contact

  - `data.customAttributes.id` (string, required)

  - `data.customAttributes.name` (string, required)

  - `data.customAttributes.identifier` (string, required)

  - `data.customAttributes.value` (any, required)
    AttributeValue values: String[] if the type of the custom attribute is Select or String if the type of the custom attribute is Text

  - `meta` (object)

  - `meta.previous` (string)
    url

  - `meta.next` (string)
    url

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 404 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)


